JSON  patterns for HTTP responses


The JSON documents returned in HTTP responses also have common patterns. Depending on the request parameters and the result, an HTTP response contains a JSON document that conforms to one of the following patterns:

JSON response pattern for synchronous requests

Synchronous requests return a JSON document that contains an array of objects. The class of the object depends on the specific request. JSON documents for synchronous response use the following pattern:


[<list of objects returned by the operation>]

JSON response pattern for asynchronous requests

Asynchronous requests return a JSON document that contains attributes and relationships from the Task class. For information about working with asynchronous requests, see Synchronous-and-asynchronous-operations. JSON documents for task responses to asynchronous requests use the following pattern:


[{
  "cloudClass" : "com.bmc.cloud.model.beans.Task",
  "creationTime" : "creation time",
  "guid" : "guid",
  "taskInternalUUID" : "guid",
  "taskState" : "state of task",
  "taskStatusURI" : "URI that has task status"
}]

JSON response pattern for errors

Requests that result in an error return a JSON document that contains attributes and relationships from the CloudError class. JSON documents for error responses use the following pattern:


[{
  "cloudClass" : "com.bmc.cloud.model.beans.CloudError",
  "errorCause" : "cause of error",
  "errorID" : "error identifier",
  "guid" : "guid"
}]

 

Tip: For faster searching, add an asterisk to the end of your partial query. Example: cert*

BMC Cloud Lifecycle Management 2.1.00